import { style } from '@vanilla-extract/css';

import * as colors from '../../../colors.css';

export const code_bounds = style({
	position:     'relative',
	width:        '100%',
	height:       'max-content',
	padding:      '0.65em 0 0',
	borderTop:    `1px solid ${colors.background2}`,
	borderBottom: `1px solid ${colors.background2}`,
});

export const copy = style({
	position:   'absolute',
	right:      0,
	display:    'block',
	margin:     0,
	border:     'none',
	padding:    '0',
	outline:    'inherit',
	fontFamily: 'monospace',
	fontSize:   '1.1em',
	lineHeight: '2em',
	background: 'none',
	color:      'inherit',
	transition: 'color 0.15s',
	whiteSpace: 'pre-wrap',
	':hover': {
		color: colors.accent,
	},

});
